Summary:	robin_hood unordered map & set
Summary(pl.UTF-8):	Struktury nie uporządkowanej tablicy asocjacyjna i zbioru robin_hood
Name:		robin_hood
Version:	3.11.5
Release:	1
License:	MIT
Group:		Development/Libraries
#Source0Download: https://github.com/martinus/robin-hood-hashing/releases
Source0:	https://github.com/martinus/robin-hood-hashing/archive/%{version}/robin-hood-hashing-%{version}.tar.gz
# Source0-md5:	a78bd30a7582f25984f8592652836467
URL:		https://github.com/martinus/robin-hood-hashing
BuildRequires:	cmake >= 3.5
BuildRequires:	rpmbuild(macros) >= 1.605
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
robin_hood::unordered_map and robin_hood::unordered_set is a platform
independent replacement for std::unordered_map / std::unordered_set
which is both faster and more memory efficient for real-world use
cases.

%description -l pl.UTF-8
robin_hood::unordered_map i robin_hood::unordered_set to niezależny od
platformy zamiennik std::unordered_map / std::unordered_set, będący
jednocześnie szybszy i bardziej wydajny pamięciowo w rzeczywistych
przypadkach.

%package devel
Summary:	robin_hood unordered map & set
Summary(pl.UTF-8):	Struktury nie uporządkowanej tablicy asocjacyjna i zbioru robin_hood
Group:		Development/Libraries

%description devel
robin_hood::unordered_map and robin_hood::unordered_set is a platform
independent replacement for std::unordered_map / std::unordered_set
which is both faster and more memory efficient for real-world use
cases.

%description devel -l pl.UTF-8
robin_hood::unordered_map i robin_hood::unordered_set to niezależny od
platformy zamiennik std::unordered_map / std::unordered_set, będący
jednocześnie szybszy i bardziej wydajny pamięciowo w rzeczywistych
przypadkach.

%prep
%setup -q -n robin-hood-hashing-%{version}

%build
install -d build
cd build
# override CMAKE_INSTALL_LIBDIR to install cmake config in noarch location
%cmake .. \
	-DCMAKE_INSTALL_LIBDIR=share \
	-DRH_STANDALONE_PROJECT=OFF

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files devel
%defattr(644,root,root,755)
%doc LICENSE README.md
%{_includedir}/robin_hood.h
%{_datadir}/cmake/robin_hood
%changelog
* Mon Mar 24 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/robin_hood.git;a=log;h=master

* Mon Mar 24 2025 Jakub Bogusz <qboosh@pld-linux.org> 697de60
- new

